Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateSnapshotResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateSnapshotResult

    public class CreateSnapshotResult

extends Object

The result of creating a snapshot from an EBS volume.

Constructor Summary
`CreateSnapshotResult()`

Method Summary
`Snapshot` | `getSnapshot()` The new snapshot.
`void` | `setSnapshot(Snapshot snapshot)` The new snapshot.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateSnapshotResult` | `withSnapshot(Snapshot snapshot)` The new snapshot.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateSnapshotResult

    public CreateSnapshotResult()

Method Detail

### getSnapshot

    public Snapshot getSnapshot()

  The new snapshot.

  Returns:
    The new snapshot.

### setSnapshot

    public void setSnapshot(Snapshot snapshot)

  The new snapshot.

  Parameters:
    `snapshot` - The new snapshot.

### withSnapshot

    public CreateSnapshotResult withSnapshot(Snapshot snapshot)

  The new snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshot` - The new snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.